@charset "UTF-8";
html,body,.container-fluid {
    height: 100%;
    background-color: #1e212a;
    font-family: 'Noto Sans JP', sans-serif;
}

button:focus {
    outline: none;
}

.video-js {
    width: 100%;
    height: auto;
}

.video-js .vjs-progress-control:hover .vjs-progress-holder {
    font-size: inherit !important;
}

.video-js .vjs-progress-control:hover .vjs-progress-holder:focus .vjs-time-tooltip, .video-js .vjs-progress-control:hover .vjs-time-tooltip {
    font-size: 1em !important;
}

#main-container {
    min-width: 1024px;
}

.modal {
    text-align: center;
    padding: 0;
}

.modal .message {
    font-size: 16px;
    color: white;
}

.modal:before {
    content: '';
    display: inline-block;
    height: 100%;
    vertical-align: middle;
    margin-right: -4px;
}

.modal-dialog {
    display: inline-block;
    text-align: left;
    vertical-align: middle;
}

.modal .modal-header {
    padding: 30px 20px 20px 20px;
    border-bottom: none;
}

.modal .modal-body {
    padding: 0 20px 10px 20px;
}

.modal .modal-footer {
    padding: 1rem 20px 30px 20px;
    border-top: 0px;
}

.modal .close {
    opacity: 1;
    position: absolute;
    top: -18px;
    right: -18px;
    z-index: 1;
    outline: none;
}

.modal .modal-content {
    border-radius: 4px;
    border: solid 1px #ffffff;
    background-color: #0f162c;
}

.modal .modal-header h4 {
    font-size: 24px;
    color: white;
    padding: 0;
    font-weight: bold;
}

.btn-dlg{
    width: 150px;
    display: inline-block;
    text-align: center;
    color: #fff;
    font-family: inherit;
    line-height: 1;
    border-radius: 20px;
    padding: 11px 0;
    font-size: 14px;
    user-select: none;
}

.alert-gray {
    color: #0f162c;
    font-size: 16px;
    padding: 18px;
    background: rgba(255, 255, 255, 0.9);
    border: solid 1px #e8e8e8;
    border-radius: 4px 0 0 4px;
    box-shadow: 0 0 4px 0 #e8e8e8;
    position: fixed;
    bottom: 70px;
    right: 0;
    margin-bottom: 0px;
    min-width: 260px;
    z-index: 9999;
    opacity: 0;
    transform: translateX(20%) translateY(0%);
    transition: all .3s;
}

.alert-gray .close {
    font-size: 12px;
    line-height: 1.7;
    opacity: 1;
    margin: 0 5px;
}

.alert-gray .revert {
    float: right;
    color: #ff6450;
    margin: 0 5px;
}

/*---------------------- Tooltip override ----------------------*/

.tooltipster-base {
    background: none;
}

.tooltipster-base .tooltipster-content {
    padding: 6px 15px;
    font-size: 12px;
    color: #1e212a;
}

.tooltipster-sidetip .tooltipster-box {
    background: #ffffff;
    border: none;
    border-radius: 2px;
}

.tooltipster-base {
    border-radius: 2px;
}

.tooltipster-sidetip.tooltipster-top .tooltipster-arrow-border, .tooltipster-sidetip.tooltipster-bottom .tooltipster-arrow-border {
    border: none;
}

.tooltipster-sidetip.tooltipster-top .tooltipster-arrow-background {
    border-top-color: #ffffff;
}

.tooltipster-sidetip.tooltipster-bottom .tooltipster-arrow-background {
    border-bottom-color: #ffffff;
}

.loading_icon {
    color: #ffffff;
    font-size: 16px;
    margin: auto;
    width: 1em;
    height: 1em;
    border-radius: 50%;
    position: relative;
    animation: load4 1.3s infinite linear;
    transform: translateZ(0);
    display: none;
}

@keyframes load4 {
    0%,
    100% {
        box-shadow: 0 -3em 0 0.2em, 2em -2em 0 0em, 3em 0 0 -1em, 2em 2em 0 -1em, 0 3em 0 -1em, -2em 2em 0 -1em, -3em 0 0 -1em, -2em -2em 0 0;
    }
    12.5% {
        box-shadow: 0 -3em 0 0, 2em -2em 0 0.2em, 3em 0 0 0, 2em 2em 0 -1em, 0 3em 0 -1em, -2em 2em 0 -1em, -3em 0 0 -1em, -2em -2em 0 -1em;
    }
    25% {
        box-shadow: 0 -3em 0 -0.5em, 2em -2em 0 0, 3em 0 0 0.2em, 2em 2em 0 0, 0 3em 0 -1em, -2em 2em 0 -1em, -3em 0 0 -1em, -2em -2em 0 -1em;
    }
    37.5% {
        box-shadow: 0 -3em 0 -1em, 2em -2em 0 -1em, 3em 0em 0 0, 2em 2em 0 0.2em, 0 3em 0 0em, -2em 2em 0 -1em, -3em 0em 0 -1em, -2em -2em 0 -1em;
    }
    50% {
        box-shadow: 0 -3em 0 -1em, 2em -2em 0 -1em, 3em 0 0 -1em, 2em 2em 0 0em, 0 3em 0 0.2em, -2em 2em 0 0, -3em 0em 0 -1em, -2em -2em 0 -1em;
    }
    62.5% {
        box-shadow: 0 -3em 0 -1em, 2em -2em 0 -1em, 3em 0 0 -1em, 2em 2em 0 -1em, 0 3em 0 0, -2em 2em 0 0.2em, -3em 0 0 0, -2em -2em 0 -1em;
    }
    75% {
        box-shadow: 0em -3em 0 -1em, 2em -2em 0 -1em, 3em 0em 0 -1em, 2em 2em 0 -1em, 0 3em 0 -1em, -2em 2em 0 0, -3em 0em 0 0.2em, -2em -2em 0 0;
    }
    87.5% {
        box-shadow: 0em -3em 0 0, 2em -2em 0 -1em, 3em 0 0 -1em, 2em 2em 0 -1em, 0 3em 0 -1em, -2em 2em 0 0, -3em 0em 0 0, -2em -2em 0 0.2em;
    }
}

.loading_icon span {
    position: absolute;
    top: 90px;
    left: -127px;
    width: 272px;
    color: white;
    text-align: center;
}

#uploadprogress {
    width: 0%;
}

.hint-icon {
    cursor: pointer;
    margin-bottom: 2px;
}

.hint-text {
    background: #b7b7b7;
    color: #000000;
    font-size: 10px;
    padding: 7px;
    border-radius: 7px;
    max-width: 194px;
    position: absolute;
    bottom: 34px;
    right: -89px;
    display: none;
}

.hint-text:after {
	top: 100%;
	left: 50%;
	border: solid transparent;
	content: " ";
	height: 0;
	width: 0;
	position: absolute;
	pointer-events: none;
	border-color: rgba(183, 183, 183, 0);
	border-top-color: #b7b7b7;
	border-width: 10px;
	margin-left: -10px;
}

.hint-text.hint-text-small {
    width: 143px;
    right: -64px;
}

.hint-text a {
    color: #000000;
    text-decoration: underline;
    margin-left: 2px;
}

.hint-wrapper {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: flex-end;
}

.svg_hint_bg {
    fill: #4a4c53;
}

.hint-icon:hover .svg_hint_bg {
    fill: #76777d;
}

.vjs-tip {
    display: none !important;
}

input[type="email"]::placeholder, input[type="password"]::placeholder, input[type="text"]::placeholder{
    color: #bcbcbc;
}

/*---------------------- Tooltip override ----------------------*/

.tooltipster-base {
    background: none;
}

.tooltipster-base .tooltipster-content {
    padding: 0px 6px 0px;
    font-size: 10px;
    font-weight: 100;
}

.tooltipster-sidetip .tooltipster-box {
    background: #a1a1a1;
    border: none;
    border-radius: 2px;
}

.tooltipster-base {
    border-radius: 2px;
}

.tooltipster-sidetip.tooltipster-top .tooltipster-arrow-border, .tooltipster-sidetip.tooltipster-bottom .tooltipster-arrow-border {
    border: none;
}

.tooltipster-sidetip.tooltipster-top .tooltipster-arrow-background {
    border-top-color: #a1a1a1;
}

.tooltipster-sidetip.tooltipster-bottom .tooltipster-arrow-background {
    border-bottom-color: #a1a1a1;
}

/*---------------------- End tooltip ----------------------*/

.modal-footer>:not(:last-child) {
    margin-right: 10px;
}

.modal-footer>:not(:first-child) {
    margin-left: 10px;
}

.btn_red {
    background-color: #ff6450;
    display: flex;
    font-weight: 500;
    text-align: center;
    color: #ffffff;
    align-items: center;
    justify-content: center;
    border: 2px solid transparent;
    user-select: none;
}

a.disabled {
    pointer-events: none;
    opacity: 0.4;
}

.btn_red:disabled:hover {
    background-color: #ff6450;
}

.btn_red:hover {
    background-color: #E05146;
    color: #ffffff;
    text-decoration: none;
}

.btn_red:disabled {
    opacity: 0.4;
}

.btn_gray {
    background: #76777D;
    border: 2px solid transparent;
    display: flex;
    font-weight: 500;
    align-items: center;
    justify-content: center;
    text-align: center;
    user-select: none;
    color: #ffffff !important;
}

.btn_grey:disabled:hover {
    background-color: #76777D;
}

.btn_gray:hover {
    background-color: #4A4C53;
    color: #fff;
    text-decoration: none;
}

.btn_gray:disabled {
    opacity: 0.4;
}


.btn_transparent {
    border: solid 2px #ffffff;
    background-color: transparent;
    color: #ffffff;
    border-radius: 16px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 12px;
    user-select: none;
}

.btn_transparent:hover {
    background-color: #4a4c53;
}

input:not(#video_name):-internal-autofill-selected {
    box-shadow: inset 0 0 0 1000px #fff !important;
}

input:not(#video_name):-internal-autofill-selected:focus {
    box-shadow: 0 0 0 2px rgba(255,255,255,.3), inset 0 0 0 1000px #fff !important;
}

.form-group input {
    font-size: 14px;
    line-height: 1.25;
    width: 400px;
    color: #2E3240 !important;
    height: 30px;
    padding: 8px 5px;
    border-color: #E8E8E8;
}

a {
    cursor: pointer;
}
